# Arbi_temperature sublet file
# Created with sur-0.2.165
# encoding: UTF-8
configure :arbi_temperature do |s|
  s.interval = 30
  s.icon = Subtlext::Icon.new('temp.xbm')
end

on :run do |s|
    begin
        s.data = s.icon + " " + Arbi.get("thermal")['AVERAGE']['temperature'] + "°C"
    rescue e
        s.data = s.icon + " Error"
        p e
    end
end
